Display full version of the post: Select All on a certain layer.

djp6
26.10.2010, 18:21


Normal
0


false
false
false







MicrosoftInternetExplorer4






/* Style Definitions */
table.MsoNormalTable
{mso-style-name:"Table Normal";
mso-tstyle-rowband-size:0;
mso-tstyle-colband-size:0;
mso-style-noshow:yes;
mso-style-parent:"";
mso-padding-alt:0cm 5.4pt 0cm 5.4pt;
mso-para-margin:0cm;
mso-para-margin-bottom:.0001pt;
mso-pagination:widow-orphan;
font-size:10.0pt;
font-family:"Times New Roman";
mso-ansi-language:#0400;
mso-fareast-language:#0400;
mso-bidi-language:#0400;}

Hi

How do you select everything on one layer?

I want to be able to copy and paste all from one layer into
another layer?

Do I have to use scripts?

Any help would be much appreciated.



Cheers

Dave



Cad64
26.10.2010, 22:27
Use the LAYISO command to isolate the layer. Then you can easily window select everything and copy. Then just LAYUNISO to unisolate everything.Depending on your version of Autocad, these commands may or may not be Express Tools.

Ron C
27.10.2010, 17:53
djp6,
Cad64 has got you on the right track.  Depending on the version of AutoCAD you have after using LAYISO use COPYTOLAYER.
good luck.

rob s
28.10.2010, 14:07
If you don´t want to isolate layers and to keep seeing everyting then you can use the command ´Filter´. You can select the layer of what you want to select everything there.

goons
29.10.2010, 00:59
try quick select, another way to select entities.

Cats
30.10.2010, 19:23
how filter work... can you elaborate the procedure?

Cad64
30.10.2010, 22:10
Filter: http://www.ellenfinkelstein.com/autocadtips/AutoCAD_tips_create_complex_selection_filter.html

linhoreka
04.11.2010, 14:57
You would find the following lisp useful: 1st:  Run "LF" (layer filter) command 2nd: Select command to perform (Erase, Copy, Move, Rotate, Scale or Mirror). 3rd. Select one or more objects on drawing as sample to get the layers. Finally, make your selection. Only object on choosen layers from the sample objects are selected. The command Erase, Copy or etc. would perform on the last selection.(defun C:LF (/ ob obl la ss1 ss fil lalist i le cm)  (initget "Erase Copy Move Rotate Scale Mirror")  (setq cm (getkword "Erase Copy Move Rotate Scale Mirror: "))  (prompt (strcat "Select sample objects in seclected layer to perform command " cm "\n"))  (setq ss1 (ssget) le (sslength ss1) i -1 lalist (list))  (repeat le (setq i (1+ i))    (setq ob (ssname ss1 i)  obl (entget ob)  la (cdr (assoc 8 obl))  )    (setq lalist (uni_app lalist la))    )  (setq fil (list))  (foreach la lalist    (setq fil (app fil (cons 8 la)))    )  (setq fil (app fil (cons -4 "OR>")) fil (append (list (cons -4 "<OR")) fil) )  (prompt (strcat "Select objects. Objects not in layer " la " will be filter out ..."))  (setq ss (ssget fil))  (if (= "Copy" cm)(command cm ss ss1 "" "M")  (command cm ss ss1 ""))  (princ)  );end defun